@charset "UTF-8";
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font: inherit;
  font-size: 100%;
  vertical-align: baseline;
}

html * {
  font-family: "Microsoft JhengHei";
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

*,
*:after,
*:before {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  font-size: 100%;
  background: url("../images/bg-pat.jpg") repeat-y center top;
  color: #664c1b;
  font-size: 18px;
  font-weight: bold;
}

* {
  position: relative;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  text-decoration: none;
}

.wrap {
  width: 100%;
  min-width: 1280px;
  margin: 0 auto;
  overflow: hidden;
}

.logo {
  position: absolute;
  display: block;
  width: 200px;
  height: 167px;
  background: url("../images/logo.png") no-repeat;
  left: 220px;
  top: 88px;
  z-index: 30;
}

.top-menu {
  width: 100%;
  height: 65px;
  background: rgba(25, 25, 25, 0.85);
  position: fixed;
  z-index: 100;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

#menu {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
#menu a {
  width: 150px;
  color: #ababab;
  font-weight: bold;
  text-align: center;
  line-height: 65px;
  -webkit-transition: 0.3s;
  transition: 0.3s;
  border-top: 3px solid transparent;
}
#menu a.active, #menu a:hover {
  color: #9ce3a7;
  border-top: 3px solid #9ce3a7;
}

.right-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.side-menu-pc {
  position: fixed;
  top: 50%;
  right: 20px;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
  z-index: 30;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 90px;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 15px;
  border-radius: 50px;
  gap: 5px;
  background: rgba(255, 255, 255, 0.8);
  border: 3px solid #b29343;
}
.side-menu-pc a {
  width: 60px;
  height: 60px;
  background-size: contain;
  background-repeat: no-repeat;
  -webkit-transition: 0.3s;
  transition: 0.3s;
}
.side-menu-pc a:hover {
  -webkit-filter: brightness(1.1);
          filter: brightness(1.1);
}

.mem_btn {
  background: url("../images/mem-btn.png") no-repeat center top;
}

.home_btn {
  background: url("../images/home-btn.png") no-repeat center top;
}

.fb_btn {
  background: url("../images/fb-btn.png") no-repeat center top;
}

.top-login-btn, .top-logout-btn, .top-record-btn {
  width: 120px;
  height: 65px;
  -webkit-transition: 0.3s;
  transition: 0.3s;
  border: none;
  outline: none;
  cursor: pointer;
  font-size: 18px;
  font-weight: bold;
  text-align: center;
  color: #fff;
}

.top-login-btn {
  background: #9ce3a7;
}
.top-login-btn:hover {
  background: #adeeb7;
}

.top-logout-btn {
  background: #9d9d9d;
}
.top-logout-btn:hover {
  background: #c1c1c1;
}

.top-record-btn {
  background: #65bc8a;
}
.top-record-btn:hover {
  background: #76ce9b;
}

.header {
  width: 100%;
  height: 973px;
  background: url(../images/header-bg.jpg) no-repeat center top;
}

.inner {
  width: 1280px;
  height: 100%;
  margin: 0 auto;
  border: 1px solid transparent;
}

.title-box {
  position: absolute;
  top: 531px;
  left: 171px;
  width: 924px;
  height: 389px;
  background: url(../images/title-bg.png) no-repeat center top;
  z-index: 20;
}

.title-ball {
  position: absolute;
  width: 163px;
  height: 163px;
  background: url(../images/title-ball.png) no-repeat center top;
  top: 34px;
  left: 403px;
  -webkit-animation: gacha-turn 4s cubic-bezier(0.4, 0, 0.2, 1) infinite;
          animation: gacha-turn 4s cubic-bezier(0.4, 0, 0.2, 1) infinite;
  -webkit-transform-origin: center;
          transform-origin: center;
}

@-webkit-keyframes gacha-turn {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  5% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  10% {
    -webkit-transform: rotate(12deg);
            transform: rotate(12deg);
  }
  15% {
    -webkit-transform: rotate(-8deg);
            transform: rotate(-8deg);
  }
  20% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  50% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  55% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  60% {
    -webkit-transform: rotate(12deg);
            transform: rotate(12deg);
  }
  65% {
    -webkit-transform: rotate(-8deg);
            transform: rotate(-8deg);
  }
  70% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}

@keyframes gacha-turn {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  5% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  10% {
    -webkit-transform: rotate(12deg);
            transform: rotate(12deg);
  }
  15% {
    -webkit-transform: rotate(-8deg);
            transform: rotate(-8deg);
  }
  20% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  50% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  55% {
    -webkit-transform: rotate(-15deg);
            transform: rotate(-15deg);
  }
  60% {
    -webkit-transform: rotate(12deg);
            transform: rotate(12deg);
  }
  65% {
    -webkit-transform: rotate(-8deg);
            transform: rotate(-8deg);
  }
  70% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
.header-panda {
  position: absolute;
  width: 808px;
  height: 891px;
  background: url(../images/header-panda.png) no-repeat center top;
  top: 50px;
  left: 180px;
  -webkit-animation: floatUp 3s ease-in-out infinite alternate;
          animation: floatUp 3s ease-in-out infinite alternate;
  will-change: transform;
  z-index: 19;
}

.header-mouse {
  position: absolute;
  width: 451px;
  height: 385px;
  background: url(../images/header-mouse.png) no-repeat center top;
  top: 250px;
  left: 820px;
  -webkit-animation: floatUp 3.5s ease-in-out infinite alternate;
          animation: floatUp 3.5s ease-in-out infinite alternate;
  will-change: transform;
  z-index: 18;
}

.container {
  width: 100%;
  height: auto;
  margin-top: 80px;
}

#sec1 {
  width: 100%;
  height: auto;
  margin-bottom: 50px;
}

#sec2 {
  width: 100%;
  height: 1035px;
  background: url(../images/sec2-bg.jpg) no-repeat center top;
  margin-bottom: 50px;
}
#sec2 .subtitle-box {
  top: 30px;
  position: relative;
}

#sec3 {
  width: 100%;
  height: auto;
  margin-bottom: 110px;
}
#sec3 .subtitle-box {
  top: 0px;
  position: relative;
}

#sec4 {
  width: 100%;
  height: auto;
  margin-bottom: 110px;
}

#sec5 {
  width: 100%;
  height: auto;
  margin-bottom: 110px;
}

.bg-clover1 {
  position: absolute;
  top: 53px;
  left: -340px;
  width: 224px;
  height: 240px;
  background: url("../images/bg-clover1.png") no-repeat center top;
}

.bg-clover2 {
  position: absolute;
  top: -135px;
  left: 1310px;
  width: 432px;
  height: 512px;
  background: url("../images/bg-clover2.png") no-repeat center top;
}

.bg-clover3 {
  position: absolute;
  top: 455px;
  left: -227px;
  width: 301px;
  height: 332px;
  background: url("../images/bg-clover3.png") no-repeat center top;
}

.bg-clover4 {
  position: absolute;
  top: 339px;
  left: 1310px;
  width: 307px;
  height: 329px;
  background: url("../images/bg-clover4.png") no-repeat center top;
}

.bg-clover5 {
  position: absolute;
  top: 339px;
  left: -380px;
  width: 346px;
  height: 311px;
  background: url("../images/bg-clover5.png") no-repeat center top;
}

.subtitle-box {
  width: 100%;
  height: 97px;
  position: absolute;
  top: -64px;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  text-align: center;
}

.sec1-cont {
  width: 1024px;
  height: auto;
  margin: 20px auto 0 auto;
  padding: 65px 70px;
  background: #fff;
  border-radius: 14px;
  -webkit-box-shadow: 0 0 0 3px #9cdc9e, 0 0 0 8px #fffba4, 0 0 0 11px #b29343;
          box-shadow: 0 0 0 3px #9cdc9e, 0 0 0 8px #fffba4, 0 0 0 11px #b29343;
}
.sec1-cont p {
  line-height: 27px;
}

.p-w {
  color: #47bc78;
}

.notice-link {
  color: #47bc78;
  text-decoration: underline;
}

.sec1-event-date {
  background: #8344a7;
  color: #fff;
  font-weight: bold;
  font-size: 28px;
  border-radius: 50px;
  padding: 10px;
  width: 700px;
  text-align: center;
  margin: 0 auto 25px auto;
}

.dialogue-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  margin-top: 20px;
}

.character-side {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.avatar {
  width: 85px;
  height: 85px;
  border-radius: 50%;
  margin-right: 10px;
}

.speech-bubble {
  background-color: #fff7f0;
  color: #664c1b;
  padding: 6px 12px;
  border-radius: 30px;
  margin-top: 4px;
  border: 3px solid #ba9e57;
  white-space: nowrap;
  font-size: 20px;
}

.reply-box {
  max-width: 600px;
}

.reply-bubble {
  background-color: #fff7f0;
  border: 3px solid #ba9e57;
  color: #664c1b;
  padding: 15px 20px;
  border-radius: 30px;
  font-size: 20px;
  line-height: 1.5;
}

.reply-bubble .link {
  color: #e53981;
  text-decoration: underline;
  -webkit-animation: flashColor 1.2s infinite alternate;
          animation: flashColor 1.2s infinite alternate;
}

@-webkit-keyframes flashColor {
  0% {
    color: #e53981;
  }
  50% {
    color: #f9b96d;
  }
  100% {
    color: #e53981;
  }
}

@keyframes flashColor {
  0% {
    color: #e53981;
  }
  50% {
    color: #f9b96d;
  }
  100% {
    color: #e53981;
  }
}
@-webkit-keyframes sway {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  50% {
    -webkit-transform: rotate(3deg);
            transform: rotate(3deg);
  }
  100% {
    -webkit-transform: rotate(-3deg);
            transform: rotate(-3deg);
  }
}
@keyframes sway {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  50% {
    -webkit-transform: rotate(3deg);
            transform: rotate(3deg);
  }
  100% {
    -webkit-transform: rotate(-3deg);
            transform: rotate(-3deg);
  }
}
/* 上下飄浮 */
@-webkit-keyframes floatUp {
  0% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
  100% {
    -webkit-transform: translateY(-20px);
            transform: translateY(-20px);
  }
}
@keyframes floatUp {
  0% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
  100% {
    -webkit-transform: translateY(-20px);
            transform: translateY(-20px);
  }
}
.machine-box {
  width: 449px;
  height: 714px;
  position: absolute;
  left: 134px;
  top: 177px;
}

.remaining-attempts {
  width: 360px;
  height: 37px;
  line-height: 37px;
  text-align: center;
  font-size: 20px;
  color: #5b504f;
  z-index: 30;
  margin: 0 auto;
  background: url("../images/sec2-word-bg.png") no-repeat center top;
}

.machine-bubble {
  position: absolute;
  width: 68px;
  height: 48px;
  background: url(../images/machine-btn-hint.png) no-repeat center top;
  top: 389px;
  left: 284px;
  z-index: 20;
}

.machine-btn {
  position: absolute;
  width: 130px;
  height: 130px;
  background: url(../images/machine-btn.png) no-repeat center top;
  outline: none;
  border: none;
  cursor: pointer;
  z-index: 15;
  top: 414px;
  left: 160px;
  border-radius: 50%;
  -webkit-transition: -webkit-transform 0.3s ease;
  transition: -webkit-transform 0.3s ease;
  transition: transform 0.3s ease;
  transition: transform 0.3s ease, -webkit-transform 0.3s ease;
  -webkit-animation: btn-shine 0.8s ease infinite;
          animation: btn-shine 0.8s ease infinite;
}
.machine-btn:hover {
  -webkit-animation: swing 0.6s ease-in-out;
          animation: swing 0.6s ease-in-out;
}

@-webkit-keyframes btn-shine {
  0% {
    -webkit-box-shadow: 0 0 20px 10px rgb(249, 255, 150);
            box-shadow: 0 0 20px 10px rgb(249, 255, 150);
  }
  50% {
    -webkit-box-shadow: 0 0 0px 0px rgb(249, 255, 150);
            box-shadow: 0 0 0px 0px rgb(249, 255, 150);
  }
  100% {
    -webkit-box-shadow: 0 0 20px 10px rgb(249, 255, 150);
            box-shadow: 0 0 20px 10px rgb(249, 255, 150);
  }
}

@keyframes btn-shine {
  0% {
    -webkit-box-shadow: 0 0 20px 10px rgb(249, 255, 150);
            box-shadow: 0 0 20px 10px rgb(249, 255, 150);
  }
  50% {
    -webkit-box-shadow: 0 0 0px 0px rgb(249, 255, 150);
            box-shadow: 0 0 0px 0px rgb(249, 255, 150);
  }
  100% {
    -webkit-box-shadow: 0 0 20px 10px rgb(249, 255, 150);
            box-shadow: 0 0 20px 10px rgb(249, 255, 150);
  }
}
@-webkit-keyframes swing {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  25% {
    -webkit-transform: rotate(30deg);
            transform: rotate(30deg);
  }
  50% {
    -webkit-transform: rotate(-30deg);
            transform: rotate(-30deg);
  }
  75% {
    -webkit-transform: rotate(20deg);
            transform: rotate(20deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
@keyframes swing {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  25% {
    -webkit-transform: rotate(30deg);
            transform: rotate(30deg);
  }
  50% {
    -webkit-transform: rotate(-30deg);
            transform: rotate(-30deg);
  }
  75% {
    -webkit-transform: rotate(20deg);
            transform: rotate(20deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}
.machine {
  width: 449px;
  height: 714px;
  background: url(../images/machine.png) no-repeat center top;
  z-index: 10;
}

.ball {
  position: absolute;
  width: 135px;
  height: 131px;
  background: url(../images/ball.png) no-repeat center top;
  z-index: 9;
  left: 160px;
  top: 410px;
}

.ball.drop {
  -webkit-animation: dropBall 0.8s ease forwards;
          animation: dropBall 0.8s ease forwards;
}

@-webkit-keyframes dropBall {
  0% {
    top: 410px;
    opacity: 0;
    -webkit-transform: rotate(0deg) scale(1);
            transform: rotate(0deg) scale(1);
  }
  30% {
    opacity: 1;
    top: 410px;
    -webkit-transform: rotate(45deg) scale(1.05, 0.95);
            transform: rotate(45deg) scale(1.05, 0.95);
  }
  60% {
    top: 540px;
    -webkit-transform: rotate(135deg) scale(0.95, 1.1);
            transform: rotate(135deg) scale(0.95, 1.1);
  }
  72% {
    top: 510px;
    -webkit-transform: rotate(194eg) scale(1.03, 0.97);
            transform: rotate(194eg) scale(1.03, 0.97);
  }
  85% {
    top: 540px;
    -webkit-transform: rotate(238deg) scale(0.98, 1.02);
            transform: rotate(238deg) scale(0.98, 1.02);
  }
  100% {
    top: 540px;
    -webkit-transform: rotate(244deg) scale(1);
            transform: rotate(244deg) scale(1);
  }
}

@keyframes dropBall {
  0% {
    top: 410px;
    opacity: 0;
    -webkit-transform: rotate(0deg) scale(1);
            transform: rotate(0deg) scale(1);
  }
  30% {
    opacity: 1;
    top: 410px;
    -webkit-transform: rotate(45deg) scale(1.05, 0.95);
            transform: rotate(45deg) scale(1.05, 0.95);
  }
  60% {
    top: 540px;
    -webkit-transform: rotate(135deg) scale(0.95, 1.1);
            transform: rotate(135deg) scale(0.95, 1.1);
  }
  72% {
    top: 510px;
    -webkit-transform: rotate(194eg) scale(1.03, 0.97);
            transform: rotate(194eg) scale(1.03, 0.97);
  }
  85% {
    top: 540px;
    -webkit-transform: rotate(238deg) scale(0.98, 1.02);
            transform: rotate(238deg) scale(0.98, 1.02);
  }
  100% {
    top: 540px;
    -webkit-transform: rotate(244deg) scale(1);
            transform: rotate(244deg) scale(1);
  }
}
.machine-back {
  position: absolute;
  width: 250px;
  height: 143px;
  background: url(../images/machine-back.png) no-repeat center top;
  z-index: 5;
  left: 106px;
  bottom: 38px;
}

.sec2-downlight {
  position: absolute;
  width: 601px;
  height: 222px;
  background: url(../images/sec2-downlight.png) no-repeat center top;
  z-index: 8;
  top: 478px;
  left: -74px;
  -webkit-animation: lightFlicker 5s infinite;
          animation: lightFlicker 5s infinite;
}

@-webkit-keyframes lightFlicker {
  0% {
    opacity: 1;
  }
  10% {
    opacity: 0.8;
  }
  20% {
    opacity: 1;
  }
  35% {
    opacity: 0.7;
  }
  50% {
    opacity: 1;
  }
  65% {
    opacity: 0.85;
  }
  80% {
    opacity: 1;
  }
  90% {
    opacity: 0.75;
  }
  100% {
    opacity: 1;
  }
}

@keyframes lightFlicker {
  0% {
    opacity: 1;
  }
  10% {
    opacity: 0.8;
  }
  20% {
    opacity: 1;
  }
  35% {
    opacity: 0.7;
  }
  50% {
    opacity: 1;
  }
  65% {
    opacity: 0.85;
  }
  80% {
    opacity: 1;
  }
  90% {
    opacity: 0.75;
  }
  100% {
    opacity: 1;
  }
}
.sec2-info-box {
  width: 472px;
  height: 597px;
  position: absolute;
  padding: 18px;
  top: 242px;
  left: 719px;
  border-radius: 28px;
  background: #996c58;
  border: 3px solid #522116;
  z-index: 10;
}
.sec2-info-box::before {
  content: "";
  position: absolute;
  inset: 8px;
  border-radius: 22px;
  border: 2px dashed #bc846c;
  pointer-events: none;
}

.sec2-info-box-inner {
  background: #fff7f0;
  border-radius: 18px;
  padding: 30px;
  height: 100%;
}

.member-info-box {
  margin-top: 30px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.sec2-login-btn {
  display: block;
  width: 168px;
  height: 82px;
  background: url(../images/sec2-login.png) no-repeat center top;
  outline: none;
  border: none;
  cursor: pointer;
  margin: 0 auto 20px;
  -webkit-transition: 0.3s;
  transition: 0.3s;
}
.sec2-login-btn:hover {
  -webkit-filter: brightness(1.05);
          filter: brightness(1.05);
}

.sec2-logout-btn {
  display: block;
  width: 168px;
  height: 82px;
  background: url(../images/sec2-logout.png) no-repeat center top;
  outline: none;
  border: none;
  cursor: pointer;
  margin: 0 auto 20px;
  -webkit-transition: 0.3s;
  transition: 0.3s;
}
.sec2-logout-btn:hover {
  -webkit-filter: brightness(1.05);
          filter: brightness(1.05);
}

.sec2-record-btn {
  display: block;
  width: 168px;
  height: 82px;
  background: url(../images/sec2-record.png) no-repeat center top;
  outline: none;
  border: none;
  cursor: pointer;
  margin: 0 auto;
  -webkit-transition: 0.3s;
  transition: 0.3s;
}
.sec2-record-btn:hover {
  -webkit-filter: brightness(1.05);
          filter: brightness(1.05);
}

.sec2-spotlight {
  position: absolute;
  width: 1724px;
  height: 454px;
  background: url(../images/sec2-spotlight.png) no-repeat center top;
  top: 290px;
  left: -238px;
  z-index: 1;
  opacity: 0.8;
  -webkit-animation: floatDot 6s ease-in-out infinite, flickerDot 3s ease-in-out infinite;
          animation: floatDot 6s ease-in-out infinite, flickerDot 3s ease-in-out infinite;
}

@-webkit-keyframes floatDot {
  0% {
    -webkit-transform: translate(0px, 0px);
            transform: translate(0px, 0px);
  }
  25% {
    -webkit-transform: translate(6px, -8px);
            transform: translate(6px, -8px);
  }
  50% {
    -webkit-transform: translate(-4px, -12px);
            transform: translate(-4px, -12px);
  }
  75% {
    -webkit-transform: translate(-6px, -4px);
            transform: translate(-6px, -4px);
  }
  100% {
    -webkit-transform: translate(0px, 0px);
            transform: translate(0px, 0px);
  }
}

@keyframes floatDot {
  0% {
    -webkit-transform: translate(0px, 0px);
            transform: translate(0px, 0px);
  }
  25% {
    -webkit-transform: translate(6px, -8px);
            transform: translate(6px, -8px);
  }
  50% {
    -webkit-transform: translate(-4px, -12px);
            transform: translate(-4px, -12px);
  }
  75% {
    -webkit-transform: translate(-6px, -4px);
            transform: translate(-6px, -4px);
  }
  100% {
    -webkit-transform: translate(0px, 0px);
            transform: translate(0px, 0px);
  }
}
@-webkit-keyframes flickerDot {
  0%, 100% {
    opacity: 0.9;
  }
  25% {
    opacity: 0.4;
  }
  50% {
    opacity: 1;
  }
  75% {
    opacity: 0.6;
  }
}
@keyframes flickerDot {
  0%, 100% {
    opacity: 0.9;
  }
  25% {
    opacity: 0.4;
  }
  50% {
    opacity: 1;
  }
  75% {
    opacity: 0.6;
  }
}
.reward-info-box {
  width: 100%;
  border-radius: 18px;
  padding: 20px;
  color: #4e2b10;
  font-size: 16px;
  font-weight: bold;
}
.reward-info-box li {
  margin-left: 1em;
}

.sec2-ball {
  position: absolute;
  width: 215px;
  height: 158px;
  background: url(../images/sec2-ball.png) no-repeat center top;
  top: 485px;
  left: 330px;
}

.sec2-clover1 {
  position: absolute;
  top: 510px;
  left: -15px;
  width: 58px;
  height: 58px;
  background: url(../images/sec2-clover1.png) no-repeat center top;
  -webkit-animation: rotate 12s linear infinite;
          animation: rotate 12s linear infinite;
}

.sec2-clover2 {
  position: absolute;
  top: -20px;
  right: 8px;
  width: 44px;
  height: 44px;
  background: url(../images/sec2-clover2.png) no-repeat center top;
  -webkit-animation: rotate2 22s linear infinite;
          animation: rotate2 22s linear infinite;
}

.sec2-clover3 {
  position: absolute;
  top: 22px;
  right: -14px;
  width: 31px;
  height: 31px;
  background: url(../images/sec2-clover3.png) no-repeat center top;
  -webkit-animation: rotate 20s linear infinite;
          animation: rotate 20s linear infinite;
}

@-webkit-keyframes rotate {
  from {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}

@keyframes rotate {
  from {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}
@-webkit-keyframes rotate2 {
  from {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
}
@keyframes rotate2 {
  from {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
}
.prize-list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 30px;
  width: 1024px;
  margin: 0 auto;
  -ms-flex-line-pack: start;
      align-content: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  margin-top: 20px;
}

.prize-item {
  width: 233px;
  height: 258px;
  border-radius: 20px;
  -webkit-transition: 0.3s;
  transition: 0.3s;
}
.prize-item:hover {
  -webkit-transform: translateY(-5px);
          transform: translateY(-5px);
  -webkit-box-shadow: 0 4px 10px rgba(178, 147, 67, 0.5);
          box-shadow: 0 4px 10px rgba(178, 147, 67, 0.5);
}

.sec4-cont {
  width: 1024px;
  height: auto;
  margin: 20px auto 0 auto;
  padding: 65px 70px;
  background: #fff;
  border-radius: 14px;
  -webkit-box-shadow: 0 0 0 3px #9cdc9e, 0 0 0 8px #fffba4, 0 0 0 11px #b29343;
          box-shadow: 0 0 0 3px #9cdc9e, 0 0 0 8px #fffba4, 0 0 0 11px #b29343;
}
.sec4-cont p {
  line-height: 27px;
}

.sec4-flexbox {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.sec4-word {
  width: 620px;
}

.sec4-pic {
  width: 265px;
  height: 306px;
  background: url(../images/sec4-pic.png) no-repeat center top;
}

.sec5-cont {
  width: 1024px;
  height: auto;
  margin: 20px auto 0 auto;
  padding: 65px 70px;
  background: #fff;
  border-radius: 14px;
  -webkit-box-shadow: 0 0 0 3px #9cdc9e, 0 0 0 8px #fffba4, 0 0 0 11px #b29343;
          box-shadow: 0 0 0 3px #9cdc9e, 0 0 0 8px #fffba4, 0 0 0 11px #b29343;
}
.sec5-cont p {
  line-height: 27px;
}

.notice {
  width: 100%;
  margin: 0 auto 0 auto;
  padding-left: 2em;
}
.notice li {
  margin-bottom: 10px;
  font-size: 18px;
  line-height: 1.4;
}

.footer {
  width: 100%;
  height: 150px;
  background: url("../images/footer-bg.jpg") repeat-x center top;
  color: #f0dacd;
  padding-top: 17px;
}

.footer-inner {
  width: 1280px;
  margin: 10px auto 0 auto;
  padding: 0 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

.footer-left, .footer-right {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  font-size: 12px;
}

.lager-logo {
  width: 143px;
  height: 40px;
  margin-right: 10px;
  background: url("../images/lager-logo.png") center no-repeat;
}

.class-level {
  width: 40px;
  height: 40px;
  margin-right: 10px;
}

#popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  display: none;
  z-index: 999;
}

#confirm-popup, #reward-popup {
  text-align: center;
  background: #fff7f0;
  border-radius: 33px;
  border: 5px solid #996c58;
  -webkit-box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
          box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  padding: 2% 5%;
  padding-bottom: 50px;
  z-index: 1000;
  font-weight: bold;
}

#popup-close {
  text-align: center;
  font-size: 20px;
  font-weight: bold;
  width: 50px;
  height: 50px;
  background: #996c58;
  color: white;
  border: none;
  border-radius: 0px 20px 0 30px;
  -webkit-transition: 0.3s;
  transition: 0.3s;
  cursor: pointer;
  position: absolute;
  right: -1px;
  top: -1px;
}

.sec2-tab1-m-title, .sec2-tab2-m-title {
  display: none;
}

.m-social-btns {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 10px;
  margin-top: 20px;
}
.m-social-btns a {
  display: block;
  width: 50px;
  height: 50px;
  border-bottom: none !important;
  background-size: contain;
}

/* 漢堡選單按鈕 */
.hamburger {
  display: none;
  position: fixed;
  top: 15px;
  right: -100%;
  opacity: 0;
  width: 50px;
  height: 50px;
  background: #6cc080;
  border-radius: 50%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  cursor: pointer;
  z-index: 1000;
}

.hamburger div {
  width: 25px;
  height: 3px;
  background: white;
  position: relative;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
  border-radius: 10px;
}

.hamburger div::before,
.hamburger div::after {
  content: "";
  width: 25px;
  height: 3px;
  background: white;
  position: absolute;
  left: 0;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
  border-radius: 10px;
}

.hamburger div::before {
  top: -8px;
}

.hamburger div::after {
  top: 8px;
}

/* 漢堡選單開啟時變叉叉 */
.hamburger.active div {
  background: transparent;
}

.hamburger.active div::before {
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
  top: 0;
}

.hamburger.active div::after {
  -webkit-transform: rotate(-45deg);
          transform: rotate(-45deg);
  top: 0;
}

.gold-btn {
  display: inline-block;
  padding: 12px 24px;
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  color: #240000 !important;
  text-decoration: none;
  position: relative;
  overflow: hidden;
  -webkit-transition: all 3.5s ease-in-out;
  transition: all 3.5s ease-in-out;
  background: url("../images/gold.jpg") center no-repeat;
}

/* 側邊選單 */
.menu {
  position: fixed;
  top: 0;
  left: -250px;
  width: 200px;
  height: 100%;
  background: rgba(25, 25, 25, 0.95);
  color: white;
  padding-top: 60px;
  -webkit-transition: left 0.3s ease;
  transition: left 0.3s ease;
  z-index: 999;
  text-align: center;
}

.menu.active {
  left: 0;
}

/* 內部滾動按鈕 */
.scroll-btn {
  display: block;
  color: #fff;
  text-decoration: none;
  padding: 15px;
  font-size: 18px;
  border-bottom: 1px solid #9ce3a7;
  -webkit-transition: background 0.3s;
  transition: background 0.3s;
  cursor: pointer;
}

.scroll-btn:hover {
  background: #555;
}

.menu-login-btn {
  width: 80%;
  border: none;
  margin: 0 auto 10px auto;
  cursor: pointer;
  outline: none;
  padding: 10px;
  font-size: 18px;
  color: #fff;
  font-weight: bold;
  display: block;
  background: #9ce3a7;
  border-radius: 30px;
}

.menu-logout-btn {
  width: 80%;
  border: none;
  margin: 0 auto 10px auto;
  cursor: pointer;
  outline: none;
  padding: 10px;
  font-size: 18px;
  color: #fff;
  font-weight: bold;
  display: block;
  background: #9d9d9d;
  border-radius: 30px;
  border: 3px solid #585858;
}

.menu-record-btn {
  width: 80%;
  border: none;
  margin: 0 auto 10px auto;
  cursor: pointer;
  outline: none;
  padding: 10px;
  font-size: 18px;
  color: #fff;
  font-weight: bold;
  display: block;
  background: #65bc8a;
  border-radius: 30px;
}

@media (max-width: 767px) {
  .wrap {
    min-width: 0;
  }
  .top-menu {
    display: none;
  }
  .header {
    height: auto;
    padding-top: 124.34%;
    background: url("../images/header-bg-m.png") no-repeat center;
    background-size: cover;
  }
  .header-panda, .header-mouse, .title-box {
    display: none;
  }
  .logo {
    display: none;
  }
  .social-btns {
    display: none;
  }
  .side-menu-pc {
    display: none;
  }
  .container {
    margin-top: 88px;
  }
  body {
    font-size: 1em !important;
  }
  .inner {
    width: 96%;
    padding: 0 4%;
    border: none;
  }
  .title-box {
    display: none;
  }
  .subtitle-box {
    width: 70%;
    height: auto;
    margin-bottom: 10px;
  }
  .subtitle-box img {
    max-width: 100%;
  }
  #sec1 .subtitle-box, #sec2-1 .subtitle-box, #sec2-2 .subtitle-box, #sec3 .subtitle-box, #sec4 .subtitle-box {
    margin-top: 0;
  }
  .bg-clover1, .bg-clover2, .bg-clover3, .bg-clover4, .bg-clover5 {
    display: none;
  }
  .hamburger {
    right: 15px;
    opacity: 1;
  }
  .sec1-cont {
    width: 100%;
    height: auto;
    margin: 0 auto;
    padding: 8%;
  }
  .sec1-pic {
    width: 100%;
    height: auto;
    background: #f3e7ff;
    border: 10px solid #a96de5;
    border-radius: 40px;
    -webkit-box-shadow: 0 0 0 3px #722b84;
            box-shadow: 0 0 0 3px #722b84;
    padding: 6%;
  }
  .sec1-event-date {
    width: 100%;
    border-radius: 20px;
    font-size: 18px;
    margin-bottom: 20px;
    word-break: break-word;
  }
  .sec1-pic p {
    font-size: 1em;
  }
  .speech-bubble, .reply-bubble {
    font-size: 1.2em !important;
  }
  .character-side {
    margin-bottom: 20px;
  }
  #sec1, #sec2, #sec3, #sec4 {
    height: auto;
  }
  .logout-btn {
    width: 100%;
    height: 50px;
    position: relative;
    margin: 0 auto;
    top: 0;
    right: 0;
    margin-bottom: 20px;
    background: #8d857b;
    color: #fff;
    font-size: 18px;
    text-indent: 0; /* 將文字推到可視範圍外 */
  }
  .dialogue-box {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
  }
  .character-side {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    gap: 8px;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
  }
  .speech-bubble {
    white-space: normal;
  }
  .reply-box {
    max-width: 100%;
  }
  .sec2-prize-pic {
    width: 100%;
    height: auto;
    background-size: contain;
    padding-top: 46.52%;
  }
  .sec3-cont {
    width: 100%;
    height: auto;
  }
  .sec3-pic {
    width: 100%;
    height: auto;
    background-size: contain;
    padding-top: 110.6%;
  }
  .notice {
    width: 100%;
  }
  .notice li {
    font-size: 1em;
  }
  .footer {
    height: auto;
    line-height: 1.5;
    padding: 7% 5%;
  }
  .machine-box {
    width: 100vw;
    height: 130vw;
    left: -4vw;
    position: relative;
    top: 30px;
    margin-bottom: 30px;
  }
  .remaining-attempts {
    width: 100%;
    height: 10.33vw;
    line-height: 10.33vw;
    background: #ffebc0;
    border-radius: 8.61vw;
    text-align: center;
    font-size: 4.13vw;
    position: relative;
    z-index: 30;
  }
  .machine-bubble {
    position: absolute;
    width: 14.58vw;
    height: 10.58vw;
    background: url(../images/machine-btn-hint.png) no-repeat center top;
    background-size: contain;
    top: 66.89vw;
    left: 61.93vw;
    z-index: 20;
  }
  .machine-btn {
    position: absolute;
    width: 25.3vw;
    height: 25.3vw;
    background: url(../images/machine-btn.png) no-repeat center top;
    background-size: contain;
    outline: none;
    border: none;
    cursor: pointer;
    z-index: 15;
    top: 73.7vw;
    left: 37vw;
    border-radius: 50%;
    -webkit-transition: -webkit-transform 0.3s ease;
    transition: -webkit-transform 0.3s ease;
    transition: transform 0.3s ease;
    transition: transform 0.3s ease, -webkit-transform 0.3s ease;
    -webkit-animation: btn-shine 0.8s ease infinite;
            animation: btn-shine 0.8s ease infinite;
  }
  .machine-btn:hover {
    -webkit-animation: swing 0.6s ease-in-out;
            animation: swing 0.6s ease-in-out;
  }
  .machine {
    width: 80vw;
    height: 127.8vw;
    background: url(../images/machine.png) no-repeat center top;
    z-index: 10;
    background-size: contain;
    margin: 0 auto;
  }
  .ball {
    position: absolute;
    width: 23.23vw;
    height: 22.55vw;
    background: url(../images/ball.png) no-repeat center top;
    background-size: contain;
    z-index: 9;
    left: 38.21vw;
    top: 75vw;
  }
  .ball.drop {
    -webkit-animation: dropBall 0.8s ease forwards;
            animation: dropBall 0.8s ease forwards;
  }
  .machine-back {
    position: absolute;
    width: 46vw;
    height: 32vw;
    background-size: contain;
    z-index: 5;
    left: 27.34vw;
    bottom: 3.2vw;
  }
  @-webkit-keyframes dropBall {
    0% {
      top: 75vw;
      opacity: 0;
      -webkit-transform: rotate(0deg) scale(1);
              transform: rotate(0deg) scale(1);
    }
    30% {
      opacity: 1;
      top: 75vw;
      -webkit-transform: rotate(45deg) scale(1.05, 0.95);
              transform: rotate(45deg) scale(1.05, 0.95);
    }
    60% {
      top: 96vw;
      -webkit-transform: rotate(135deg) scale(0.95, 1.1);
              transform: rotate(135deg) scale(0.95, 1.1);
    }
    72% {
      top: 90vw;
      -webkit-transform: rotate(194deg) scale(1.03, 0.97);
              transform: rotate(194deg) scale(1.03, 0.97);
    }
    85% {
      top: 96vw;
      -webkit-transform: rotate(238deg) scale(0.98, 1.02);
              transform: rotate(238deg) scale(0.98, 1.02);
    }
    100% {
      top: 96vw;
      -webkit-transform: rotate(244deg) scale(1);
              transform: rotate(244deg) scale(1);
    }
  }
  @keyframes dropBall {
    0% {
      top: 75vw;
      opacity: 0;
      -webkit-transform: rotate(0deg) scale(1);
              transform: rotate(0deg) scale(1);
    }
    30% {
      opacity: 1;
      top: 75vw;
      -webkit-transform: rotate(45deg) scale(1.05, 0.95);
              transform: rotate(45deg) scale(1.05, 0.95);
    }
    60% {
      top: 96vw;
      -webkit-transform: rotate(135deg) scale(0.95, 1.1);
              transform: rotate(135deg) scale(0.95, 1.1);
    }
    72% {
      top: 90vw;
      -webkit-transform: rotate(194deg) scale(1.03, 0.97);
              transform: rotate(194deg) scale(1.03, 0.97);
    }
    85% {
      top: 96vw;
      -webkit-transform: rotate(238deg) scale(0.98, 1.02);
              transform: rotate(238deg) scale(0.98, 1.02);
    }
    100% {
      top: 96vw;
      -webkit-transform: rotate(244deg) scale(1);
              transform: rotate(244deg) scale(1);
    }
  }
  #sec2 {
    background: none;
  }
  .sec2-downlight, .sec2-spotlight {
    display: none;
  }
  .sec2-clover1, .sec2-clover2, .sec2-clover3 {
    display: none;
  }
  .sec2-info-box {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
    padding: 5%;
    margin-top: 20px;
  }
  .sec2-info-box .reward-info-box {
    font-size: 1em;
  }
  .sec2-info-box-inner {
    padding: 20px;
  }
  .member-info-box {
    margin-top: 20px;
    gap: 3vw;
  }
  .sec2-login-btn, .sec2-logout-btn, .sec2-record-btn {
    width: 100%;
    height: auto;
    background-size: contain;
    padding-top: 23.8%;
  }
  .reward-info-box {
    padding: 3%;
  }
  .sec2-ball {
    display: none;
  }
  .prize-list {
    width: 100%;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    gap: 15px;
  }
  .prize-item {
    width: 47%;
    height: auto;
  }
  .prize-item:hover {
    -webkit-box-shadow: none;
            box-shadow: none;
  }
  .prize-item img {
    width: 100%;
  }
  .sec4-cont, .sec5-cont {
    width: 100%;
    height: auto;
    padding: 8%;
  }
  .sec4-flexbox {
    display: block;
  }
  .sec4-word {
    width: 100%;
  }
  .sec4-pic {
    width: 80%;
    height: auto;
    aspect-ratio: 265/306;
    background-size: contain;
    margin: 20px auto 0 auto;
  }
  .notice {
    padding-left: 1em;
  }
  .notice li {
    word-break: break-all;
  }
  .footer {
    width: 100%;
    background: url("../images/footer-bg.jpg") repeat-x center top, #996c58;
  }
  .footer .footer-inner {
    width: 100%;
    display: block;
  }
  .footer .footer-left {
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    margin-bottom: 20px;
  }
  .footer .lager-logo, .footer .class-level {
    margin-bottom: 10px;
  }
}